Please update to version 2.6

Bug #202174 reported by Wouter Stomp on 2008-03-14
60
Affects Status Importance Assigned to Milestone
abiword (Baltix)
Undecided
Unassigned
abiword (Ubuntu)
Medium
Martin Pitt
Hardy
Medium
Unassigned

Bug Description

Binary package hint: abiword

Abiword 2.6 will be released in the next few days. Please include it in hardy, it has a lot of bugfixes. List of changes from the beta versions release notes:

# The addition of a new experimental OpenXML import filter
# A Windows port of the experimental AbiWord Collaboration plugin:
# Improved start-up time on Windows systems
# Support for native Windows Vista menus
# Allow dragging and dropping images in and out of AbiWord (Unix)
# Quite a few improvements to the OpenDocument filter
# Improved RTF import filter (it handles fields now for example)
# Improved LaTeX equation input support
# Fast image previews in the Image dialog, even for huge images (Unix)
# Automatic font substitution using fontconfig when a specific font is not available (Unix)
# Numerous fixes to our import/export filters, most notably the OpenDocument filter
# Lots of fixes in our GTK+ frontend, such as fixing those pesky tooltips that just wouldn't go away
# A new Pango based renderer for Unix platforms, improving support for languages such as Thai and Arabic
# Cross platform libgsf integration, allowing the user to open files on remote shares (the last part holds for the Unix platform for now)
# Cross platform Glib integration, meaning less custom AbiWord specific code to maintain
# Support for the Bonobo component framework has been deprecated (Unix platforms)
# Improved the build system to be more standards conformant (for example, "make dist" and "make distcheck" now work)
# Experimental AbiWord GTK+ widget, with accompanying Python bindings
# Various toolbar improvements, most notably the improvements to make them work better on small screens (Unix platform)
# A massive amount of work on all of our popular import and export filters
# A new experimental collaboration plugin (only available on Unix for now)
# A new GNOME Office integration plugin, replacing the old GNOME Office Charting plugin (Unix platforms)
# Improved command line handling, allowing input from standard input, and output to be directed to standard output (examples here).
# Improved printing from the command line, deprecating our old custom postscript driver
# Lots of updates to our translations
# Various Drag & Drop and Clipboard handling improvements
# Improved modularisations for resource constrained devices, such as optional printing and spelling support
# Improved support for running AbiWord in non-UI mode (sometimes also referred to as "server" mode, as offered by the AbiCommand plugin); most notably the requirement for a (fake) X server has been removed.

Steve Langasek (vorlon) wrote :

Please provide a full upstream changelog and a diffstat for the new version, per https://wiki.ubuntu.com/FreezeExceptionProcess.

Also, it doesn't appear from www.abiword.com that 2.6 has been released yet? We can't make a very informed decision about granting a freeze exception for software that's not even available yet.

In general this appears to be a quite extensive set of changes to accept this late in the release cycle without more coordination; there are UI changes, multiple new features, and possibly library changes requiring significant integration work. I think the only way I would ok this is if the desktop team says it's wanted for release.

Changed in abiword:
status: New → Incomplete

On Thu, 2008-03-27 at 23:53 +0000, Steve Langasek wrote:
> Also, it doesn't appear from www.abiword.com that 2.6 has been
> released
> yet?

It has been released, but not really announced because they are waiting
for the binaries for the proprietary OS.

Hub

The official announcement is now on the homepage.

Updating to 2.6.0 would fix bug 6710 bug 56694 bug 76396 bug 65566 and bug 118582 in ubuntu.

Jani Monoses (jani) wrote :

It would also help the Sugar (OLPC environment) packages already in Ubuntu, some of which use Abiword 2.6's collaboration features and the python bindings. The debian maintainer of Abiword (mhatta) said he'd be unable to work on it until the end of the week.

Hubert Figuiere (hub) wrote :

and maybe at the same time you could fix the package to have ODF by default (forgot the bug #, but definitely here) ?

The ODF plugin bug is bug 24195.

Paul Lange (palango) wrote :

It would be great to have Abiword 2.6 in Hardy.

Ryan Pavlik (abiryan) wrote :

2.4.6 is exceedingly old - released in November 2006. 2.6.0 contains a lot of stability improvements, memory/performance improvements, import/export enhancements, and so on. Including it (with the fixed bug 24195 to support ODF within the abiword package) in Hardy would be a very important step for Hardy - by the end of the LTS period, 2.4.6 will be 4.5 years old, with a better alternative available for just over 3 years.

Thank you for your consideration!

Dylan McCall (dylanmccall) wrote :

Just tossing in my 2 cents here:

2.6.0 has a number of visible changes, but the older version is unlikely to have a significant ammount of support going into the future. This means that, if any errors are observed with the 2.4.x series (eg: The outstanding and very ugly bugs mentioned), it could become necessary for Hardy to upgrade to 2.6 anyway or spend an unnecessary ammount of time fiddling with patches. Changing major versions of included software within one release is, of course, not really Ubuntu's way of doing things. Thus, in the interest of having AbiWord kept reasonably well supported, it would be sane to get the 2.6.x upgrade dealt with for Hardy from the start.

Ryan Pavlik (abiryan) wrote :

2.4.x will have _no_ support going in to the future. Changes to the 2.4 tree stopped being made quite some time ago, due to the large number of cleanups and improvements to the 2.6.x tree. 2.4.x has been closed for some time, and AbiWord 2.6 is already in Fedora and SuSE. It would be very shortsighted not to package 2.6 (properly, with the ODT plugin) in Hardy.

msevior (msevior-gmail) wrote :

A few more points to support the inclusion of abiword-2.6.0 in th eupcoming Unbuntu release.

This is a major update. Asking for a changelog is insane. It has be in excess of 100,000 LOC. There is no way anyone is going to be able to review that.

We have fixed hundreds of bugs since 2.4.6 which have not and will not be backported to 2.4.x. The 2.4.x series is dead as far as we're concerned.

Our windows 2.6.0 release is now out in the wild. We have registered over 300,000 downloads already. AbiWord-2.6.x will be included in upcoming fedora, Mandriva and SUSE release.

AbiWord 2.6.x includes a brand new real-time collaborative editing feature which allows Windows, fedora, SUSE and Mandriva users to simultaneously edit their documents in real time. This feature has received rave reviews on OLPC machines (where it is included as the within the Write word processor). If Ubuntu does not include 2.6.x, Ubuntu users will miss out on this exceptional new feature, while their Windows friends can happily interoperate.

Hubert Figuiere (hub) wrote :
Hubert Figuiere (hub) wrote :

now you have the 2 diffstat. one for abiword, one for the plugin.

Hubert Figuiere (hub) wrote :

and I forgot to add: there is no upstream changelog.

Michael B. Trausch (mtrausch) wrote :

Debian Experimental does not yet have Abiword 2.6.0, either.

It looks like the Ubuntu source package unifies the 4 upstream packages together into a single source package and builds multiple binary packages from that source package. I am not entirely certain how that would translate to updating the source package to build a testing version of the package; if anyone is able/willing to do this, it'd be possible to test it for inclusion into Hardy. It can always be backported, though, and it probably will be once there is an available Debian or Ubuntu source package.

Status => Incomplete
Importance => Undecided

It's not incomplete. The bug is quite complete.
The importance can't be undecided. Abiword is a very popular program and Ubuntu is going to be the only platform _not_ supporting it.

To me, it sounds like a release-braker.
Bureacracy is getting in the way here; and it's _hurting_ the quality of the Ubuntu Hardy release.

-JojoMan- (jojoman02) wrote :

I am an average ubuntu desktop user, it is the first linux distro that has worked for me. i had been trying on/off with different distro's since 1999. I like ubuntu because it works and they release often. Now i mention that you release often not because i like formatted/upgrading all the time but because i like the latest and greatest features. I say if you guys can put abiword 2.6 in you should.

Dylan McCall (dylanmccall) wrote :

Changing status to Confirmed; a diffstat has been provided and the Changelog has been accounted for. (I suppose someone could get the source repository's revision history, if absolutely necessary?)
The issue has also been commented on by many people, and the current objective seems to be moving towards deciding how to approach resolving the issue.

Changed in abiword:
status: Incomplete → Confirmed
Shirish Agarwal (shirishag75) wrote :

From my perspective only one things matter.

If we take a what-if approach then it looks like this

It would be nice if we Ubuntu Hardy users could get this one, otherwise its gonna be a long wait for us, atleast 6 months before Intrepid Ibex comes out at which stage one could ask for backport which again takes it own time getting approved or not which can push the release anything between 6-8 months till in which time Abiword may have another release which pushes that one for again 6-8 months & we start playing catch-up all over again :(

Not a good idea IMHO :(

Lionel Dricot (ploum) wrote :

There's no need for more "We need 2.6 because I want it". I think everyone would like to see 2.6. The question is "How to get 2.6 in Hardy ?". It's a technical question.

If you can provide help to package Abiword 2.6 or to resolve technical problems, you're welcome, otherwise please don't post any comment for now, it's useless and spam the subscribers for no reason.

Michael B. Trausch (mtrausch) wrote :
  • unnamed Edit (189 bytes, application/pgp-signature; name=signature.asc)

On Sun, 2008-04-06 at 11:58 +0000, Lionel Dricot wrote:
> There's no need for more "We need 2.6 because I want it". I think
> everyone would like to see 2.6. The question is "How to get 2.6 in
> Hardy
> ?". It's a technical question.
>
> If you can provide help to package Abiword 2.6 or to resolve technical
> problems, you're welcome, otherwise please don't post any comment for
> now, it's useless and spam the subscribers for no reason.

Precisely. I attempted to package 2.6 and could not figure out the way
it has been previously packaged for Debian/Ubuntu. There are four
distinct upstream packages, and we only have one (combined) package with
a different layout than the upstream tarballs.

Would this be a good time to break the abiword-* packages out into
separate source packages, one per each upstream package?

 --- Mike

--
Michael B. Trausch <email address hidden>
home: 404-592-5746, 1 www.trausch.us
cell: 678-522-7934 im: <email address hidden>, jabber
Ubuntu Unofficial Backports Project: http://backports.trausch.us/

Qichang Liang (kcleung-users) wrote :

I think the primary reason for merging the source is that the plugin source package *needs* the abiword *source package*, *not* just libraries/header file in order to builld. This is the primary reason why the sources were originally merged.

Ryan Pavlik (abiryan) wrote :

Based on the existing 2.4.6 Ubuntu packages (somewhat) and my first-hand knowledge of AbiWord development, I have produced new Ubuntu packages of AbiWord 2.6.0 and now 2.6.2 which fixes some basic issues in the 2.6.0 release and reduces dependencies. I've uploaded them to my PPA - https://launchpad.net/~cezpi4y02/+archive (These packages also fix the numerous packaging bugs referring to missing plugins by default by folding in all plugins that don't increase dependencies, and I have eliminated the abiword-gtk and abiword-gnome difference, with just a single abiword package encompassing binaries and the old abiword-common, since in 2.6 there is no gnome-specific core features aside from gnomevfs. Due to GVFS FUSE fallback in Hardy, I have left gnomevfs disabled in these AbiWord builds for a better user experience.)

Please let me know how I can get them approved for upload to the main Ubuntu archives.

Michael B. Trausch (mtrausch) wrote :

Will try to build it locally and see what happens, because it failed to build in the PPA. Assuming that I can get it to succeed on my local system, I will try uploading your sources to my PPA and see what happens.

You may want to try again first, though, because it looks like maybe the problem might have been with PPA for some strange reason.

Michael B. Trausch (mtrausch) wrote :

Meh.. the build failed on my local machine, too. You may want to try getting it to build in a pbuilder prior to uploading to PPA. Right now it is failing for me in the ./configure stage.

Perhaps what needs to happen is simply to make the packages separate and have the build-deps such that the Abiword package is itself installed at build-time. It looks like that is what is failing in a clean build environment.

I will give it a shot and see what I can come up with.

Ryan Pavlik (abiryan) wrote :

The packages should not be separated - the four source packages are unequivocally one single program. They are packaged together in all other distributions that AbiWord developers can upload to. The issue is that I neglected to point abiword-extras to the location of abiword. I have corrected that and will upload it to the PPA. I'm also installing pbuilder for quicker testing.

Ryan Pavlik (abiryan) wrote :

OK, I have a working PPA package up. Left for me to do (hopefully today) - work on the AbiWord Extras packaging (it should be in the main binary package, I just need to compile it against an un-installed package. Should be pretty easy - I have the Fedora spec file that does the same thing.), split out a few more plugins that require additional dependencies, and double-check to make sure the control files are OK - I know I'm missing some run-time dependencies. I may also split out abiword-dev. Please go ahead and try out the package, and let me know if you find any issues I haven't mentioned here.

I am going through the process required to upload packages as specified by Daniel Holbach.

After a discussion with Martin and Sarah on #ubuntu-devel, an feature freeze exception isn't going to be a problem. Please follow the normal sponsorship process which is described at https://wiki.ubuntu.com/SponsorshipProcess

Thanks,

Cody

Hi Cody!

Are you already finished with answering the interview questions?
If so, could you send me the text file back?

Thanks in advance.

Greets,
Bojan.

Ryan Pavlik (abiryan) wrote :

Right now an issue is coming up with a compile-time-only dependency on a libasio-dev, which is just a collection of header files. Unfortunately, Ubuntu has this in Universe, and so to stay in Main and enable collaboration support (which requires this) is a bit complicated. The options are:
1 - MIR libasio-dev (It has been reviewed by the boost c++ folks and will be included in a future version there, so I'm assured it is safe, and I know it is useful.) This is probably ideal.
2 - Include an abiword-specific copy as a patch. Not ideal from the standpoint of code duplication, but I am used to tracking upstream deps closely, I must do the same for the Windows build. This might be the easiest - I already have a package (soon to hit the PPA) that should enable this solution.
3 - Disable collaboration. This is really not ideal, as Ubuntu would be missing out on a major advancement. This does leave open the option of re-packaging abiword-plugins-universe, but I'd argue this is even uglier than #1
4 - Demote AbiWord from Main to Universe. I am against this idea right now, due to the lost exposure (we have the top spot on a default open of Add/Remove... in Hardy, with 4 nice stars next to us) and perhaps the ambiguous statement changing "Supported Applications" to "All Applications" would make about AbiWord's viability (of course AbiWord is supported, as in not unmaintained, it's just that universe doesn't receive canonical's backing I believe).

As it stands, I am in favor of #2 while I pursue #1 (the presumably "right way" to do things). The package 2.6.2-0ubuntu0~ppa8 is building right now, and should resolve all the concerns I presently have with the package (implementing #2, and fixing the abiword-extras issue I had earlier). Please review this package at your convenience - I will go through the Sponsorship information later tonight or tomorrow.

The packages are at https://launchpad.net/~cezpi4y02/+archive

Ryan Pavlik (abiryan) wrote :

OK, well, it looks like I need one more spin of the binary to finish implementing #2. I'd imagine I'm about 90% of the way there, about 30 minutes-1hr of work left.

On Sun, Apr 06, 2008 at 02:29:59PM -0000, Michael B. Trausch wrote:
> Would this be a good time to break the abiword-* packages out into
> separate source packages, one per each upstream package?

No, it wouldn't. Refactoring packages needs to be done toward the beginning
of a release cycle, not as part of a freeze exception.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

setting back to 'new'; confirmed is for freeze exceptions that have been approved, which this one has not yet.

Changed in abiword:
status: Confirmed → New
Steve Langasek (vorlon) wrote :

Hi Ryan,

On Mon, Apr 07, 2008 at 04:39:34PM -0000, Ryan Pavlik wrote:
> Right now an issue is coming up with a compile-time-only dependency on a libasio-dev, which is just a collection of header files. Unfortunately, Ubuntu has this in Universe, and so to stay in Main and enable collaboration support (which requires this) is a bit complicated. The options are:
> 1 - MIR libasio-dev (It has been reviewed by the boost c++ folks and will be included in a future version there, so I'm assured it is safe, and I know it is useful.) This is probably ideal.
> 2 - Include an abiword-specific copy as a patch. Not ideal from the standpoint of code duplication, but I am used to tracking upstream deps closely, I must do the same for the Windows build. This might be the easiest - I already have a package (soon to hit the PPA) that should enable this solution.
> 3 - Disable collaboration. This is really not ideal, as Ubuntu would be missing out on a major advancement. This does leave open the option of re-packaging abiword-plugins-universe, but I'd argue this is even uglier than #1
> 4 - Demote AbiWord from Main to Universe. I am against this idea right now, due to the lost exposure (we have the top spot on a default open of Add/Remove... in Hardy, with 4 nice stars next to us) and perhaps the ambiguous statement changing "Supported Applications" to "All Applications" would make about AbiWord's viability (of course AbiWord is supported, as in not unmaintained, it's just that universe doesn't receive canonical's backing I believe).

> As it stands, I am in favor of #2 while I pursue #1 (the presumably
> "right way" to do things). The package 2.6.2-0ubuntu0~ppa8 is building
> right now, and should resolve all the concerns I presently have with the
> package (implementing #2, and fixing the abiword-extras issue I had
> earlier). Please review this package at your convenience - I will go
> through the Sponsorship information later tonight or tomorrow.

I don't really like option #2 here. If there's some reason blocking us from
including the asio source package in main, then we shouldn't be embedding it
in other packages within main either. Please follow through on the MIR.

If the MIR is refused, I would strongly favor option #3 instead. I
understand that the collaboration support is an exciting new feature, but
the biggest factor in favor of a freeze exception for abiword is "lack of
support for 2.4", and I'm unconvinced that additional accomodations should
be made in order to allow enabling this new feature at this stage of the
release cycle.

Michael B. Trausch (mtrausch) wrote :

I just installed the package from Ryan's PPA, and it seems to work quite well for me.

Ryan: is the version on the PPA that is currently up a candidate for more detailed testing and inclusion?

Ryan Pavlik (abiryan) wrote :

Steve Langasek steve.langasek-at-canonical.com |AbiWord Bugzilla| wrote:
> Hi Ryan,
>
> On Mon, Apr 07, 2008 at 04:39:34PM -0000, Ryan Pavlik wrote:
>
>> Right now an issue is coming up with a compile-time-only dependency on a libasio-dev, which is just a collection of header files. Unfortunately, Ubuntu has this in Universe, and so to stay in Main and enable collaboration support (which requires this) is a bit complicated. The options are:
>> 1 - MIR libasio-dev (It has been reviewed by the boost c++ folks and will be included in a future version there, so I'm assured it is safe, and I know it is useful.) This is probably ideal.
>> 2 - Include an abiword-specific copy as a patch. Not ideal from the standpoint of code duplication, but I am used to tracking upstream deps closely, I must do the same for the Windows build. This might be the easiest - I already have a package (soon to hit the PPA) that should enable this solution.
>> 3 - Disable collaboration. This is really not ideal, as Ubuntu would be missing out on a major advancement. This does leave open the option of re-packaging abiword-plugins-universe, but I'd argue this is even uglier than #1
>> 4 - Demote AbiWord from Main to Universe. I am against this idea right now, due to the lost exposure (we have the top spot on a default open of Add/Remove... in Hardy, with 4 nice stars next to us) and perhaps the ambiguous statement changing "Supported Applications" to "All Applications" would make about AbiWord's viability (of course AbiWord is supported, as in not unmaintained, it's just that universe doesn't receive canonical's backing I believe).
>>
>
>
>> As it stands, I am in favor of #2 while I pursue #1 (the presumably
>> "right way" to do things). The package 2.6.2-0ubuntu0~ppa8 is building
>> right now, and should resolve all the concerns I presently have with the
>> package (implementing #2, and fixing the abiword-extras issue I had
>> earlier). Please review this package at your convenience - I will go
>> through the Sponsorship information later tonight or tomorrow.
>>
>
> I don't really like option #2 here. If there's some reason blocking us from
> including the asio source package in main, then we shouldn't be embedding it
> in other packages within main either. Please follow through on the MIR.
>
> If the MIR is refused, I would strongly favor option #3 instead. I
> understand that the collaboration support is an exciting new feature, but
> the biggest factor in favor of a freeze exception for abiword is "lack of
> support for 2.4", and I'm unconvinced that additional accomodations should
> be made in order to allow enabling this new feature at this stage of the
> release cycle.
>
>
I agree - I am working on getting the MIR taken care of, with some help
from #ubuntu-devel. If we need to go to #3, I will get an universe
package with collab. Thanks for your feedback and assistance.

Ryan

Ryan Pavlik (abiryan) wrote :

Getting there - ppa10 should have fixed menu items (with up to date mimetype lists for the plugins). At this point, with help from #ubuntu-devel, I'm working on the libasio-dev MIR, and if that doesn't work, we'll go for #3. Being that it is an easy thing to change, I have also removed the attempt at #2 from ppa10 and instead turned back on the use of libasio-dev. The rules file is documented.

Ryan Pavlik (abiryan) wrote :

ppa12 is building, fixing some small errors that prevented the build from succeeding. The libasio-dev MIR is in - https://bugs.launchpad.net/ubuntu/+source/asio/+bug/213688

Ryan Pavlik (abiryan) wrote :

I see now looking at the build logs that I will have to write up another MIR for libwv-1.2. This is maintained by the AbiWord developers (specifically Dom Lachowicz, AbiWord maintainer) and is nearly a piece of abiword itself - it is just a shared library so that folks can use it if they need Word import. (In the 2.4 release tarballs, it was included - aka duplicated - in the source, so I don't see why there would be an issue with the MIR. It is actively maintained and improved.) If nobody else has a chance to do it, I will do it tonight or tomorrow.

Ryan Pavlik (abiryan) wrote :

The PPA has moved here: https://launchpad.net/~abiryan/+archive/ (to get rid of my messy email and match the nick used everywhere else). The latest packages should have things working correctly, everything except Collab. My current task is the MIR for libwv-1.2.

This update is highly desired by the Xubuntu team and would be appreciated by the Ubuntu team.

Changed in abiword:
importance: Undecided → Medium
Ryan Pavlik (abiryan) wrote :

Current (ppa16) packages fix the following bugs registered in Launchpad:
Bug #24195
Bug #56694
Bug #36807
Bug #58662
Bug #3197
Bug #118582

Possibly:
Bug #191194
Bug #150799

Lionel Dricot (ploum) wrote :

I've tried the package but it has a huge scrolling bug for me : try to scroll quickly with the mouse wheel, it scroll then go back to the original location

Ryan Pavlik (abiryan) wrote :

I can confirm that bug, Lionel. It is not a packaging bug, I believe, as no source patches touch related code - please re-file it separately in Launchpad and upstream. http://bugzilla.abisource.com. (It is possible it is an Ubuntu-only bug attributable to something in X or similar, as I'm not exactly sure how close of interaction we have with the scroll wheel.)

msevior (msevior-gmail) wrote :
Download full text (3.4 KiB)

I can't see anything wrong on my fedora 8 build.

Can you give me some hint as to what the bug is?

Cheers

Martin

On Thu, Apr 10, 2008 at 7:27 PM, Ryan Pavlik <email address hidden> wrote:
> I can confirm that bug, Lionel. It is not a packaging bug, I believe,
> as no source patches touch related code - please re-file it separately
> in Launchpad and upstream. http://bugzilla.abisource.com. (It is
> possible it is an Ubuntu-only bug attributable to something in X or
> similar, as I'm not exactly sure how close of interaction we have with
> the scroll wheel.)
>
>
>
> --
> Please update to version 2.6
> https://bugs.launchpad.net/bugs/202174
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "abiword" in Ubuntu: New
>
> Bug description:
> Binary package hint: abiword
>
> Abiword 2.6 will be released in the next few days. Please include it in hardy, it has a lot of bugfixes. List of changes from the beta versions release notes:
>
> # The addition of a new experimental OpenXML import filter
> # A Windows port of the experimental AbiWord Collaboration plugin:
> # Improved start-up time on Windows systems
> # Support for native Windows Vista menus
> # Allow dragging and dropping images in and out of AbiWord (Unix)
> # Quite a few improvements to the OpenDocument filter
> # Improved RTF import filter (it handles fields now for example)
> # Improved LaTeX equation input support
> # Fast image previews in the Image dialog, even for huge images (Unix)
> # Automatic font substitution using fontconfig when a specific font is not available (Unix)
> # Numerous fixes to our import/export filters, most notably the OpenDocument filter
> # Lots of fixes in our GTK+ frontend, such as fixing those pesky tooltips that just wouldn't go away
> # A new Pango based renderer for Unix platforms, improving support for languages such as Thai and Arabic
> # Cross platform libgsf integration, allowing the user to open files on remote shares (the last part holds for the Unix platform for now)
> # Cross platform Glib integration, meaning less custom AbiWord specific code to maintain
> # Support for the Bonobo component framework has been deprecated (Unix platforms)
> # Improved the build system to be more standards conformant (for example, "make dist" and "make distcheck" now work)
> # Experimental AbiWord GTK+ widget, with accompanying Python bindings
> # Various toolbar improvements, most notably the improvements to make them work better on small screens (Unix platform)
> # A massive amount of work on all of our popular import and export filters
> # A new experimental collaboration plugin (only available on Unix for now)
> # A new GNOME Office integration plugin, replacing the old GNOME Office Charting plugin (Unix platforms)
> # Improved command line handling, allowing input from standard input, and output to be directed to standard output (examples here).
> # Improved printing from the command line, deprecating our old custom postscript driver
> # Lots of updates to our translations
> # Various Drag & Drop and Clipboard handling improvements
> # Improved mod...

Read more...

Ryan Pavlik (abiryan) wrote :

Please review build 2.6.2-0ubuntu0~ppa17 on my PPA for sponsorship and upload. I see I need a debdiff - I will upload one, but the source package is also new and there are some binary files that differ (icon, about dialog image used on Windows at least) so they are omitted. The debdiff might be useful for review, but I'm guessing just looking at the source package on my PPA will be more useful.

Thank you for your help!

Michael B. Trausch (mtrausch) wrote :

Just some notes from a quick review of the installed binary packages...

Other than a few minor polish items, this series of packages seems to be very fast and stable. Someone who actually uses Abiword should check them out, since they'll likely be able to do so in more depth than I can cover, _but_, I can say this: I would use Abiword for my next paper if I had to use a word processor at all.

One thing I did notice: “View→Presentation” says “TODO: This menu item doesn't have a StatusMessage defined”. Another thing that I noticed is that when entering Unicode characters directly (e.g., using the GNOME Ctrl+Shift+u entry method to input unicode characters) you cannot tell that the code point being typed is actually the code point and not normal text entry. I don't know how that is handled by the application (or not?) but when you do it in GNOME Terminal, for example, the code point is underlined as you type it. Otherwise, that functionality works just fine. Also, how does one get at the grammar checker so as to see /why/ there is green text under a passage? (Or is it intentionally not possible?)

To sum it up, though, the only issues that I noticed at all were issues of tiny details which could use some polish. It looks like a great release, IMHO, and assuming that others think so, I think it should wind up in Hardy.

Ryan Pavlik (abiryan) wrote :

The View, Presentation is a little bug that should be forwarded upstream, shouldn't be too tough to get a solution and I can easily backport that patch or what have you.

I'd file the unicode bit too - I'm not sure how likely that is to be fixed soon, but it's definitely good to know, and I might be mistaken about its soon-fixing probability.

The grammar checker we use (link-grammar) is barely a grammar check, it's mostly a language parser, so you see highlighted the bits that don't parse. It has no suggestions to offer, hence why you can't get to them. There are no other open-source grammar checkers that suit our purposes, at least as of 2.4, though the code is designed that if one comes up, say, by 2.8 or the next release, it could be integrated. No need to file this issue.

Glad it's working well for you - it seems to work pretty smoothly for me, too. It's certainly a big improvement over 2.4.

msevior (msevior-gmail) wrote :

Ah thanks for the bug report on the tooltip. I'll fix that.

It should be in 2.6.3

Ryan Pavlik (abiryan) wrote :

Let's move the discussion of the scroll issue to those bugs: https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/215845

In any case it is not a showstopper. Right now I am waiting on the MIR for wv, as listed and explained above. The package itself is good, done, tested, and ready for final review/sponsorship/upload.

Thanks for your help with bringing a supported AbiWord to Hardy users!

Ryan Pavlik (abiryan) wrote :

Oh, I guess I never actually linked to the MIR I filed. https://bugs.launchpad.net/ubuntu/+source/wv/+bug/215209

Steve Langasek (vorlon) wrote :

Ryan,

The debdiff between the current and new version of the package shows that several patches have been dropped, without explanation in the changelog. Could you please document why each of these patches is no longer applicable for the current version of abiword?

Daniel Holbach (dholbach) wrote :

There are a few issues I found in the packaging changes:
 - My main concern is that there are a lot of changes that put us in a position where it will be harder to merge with Debian. My gut feeling is that we could package 2.6.2 in a less intrusive way and if there are changes that should be in the packaging, do them during Intrepid and coordinate with the Debian maintainer.
 - What is the reason behind dropping abiword-common?
 - abiword-plugins seems to have lost a lot of plugins: Installed-Size: [-2332-] {+524+}
 - abiword-plugins-gnome seems to be empty.
 - The new abiword ships header files and .la files.

Other than that I appreciate the work you guys put into making abiword kick ass!

Ryan Pavlik (abiryan) wrote :

Many of the patches were obsoleted by the improvements to the build system in 2.6, so they didn't apply any more:
01_aaa_fix_plugins_m4 (in the 2.4.6 package but not in 00list!)
01_relibtoolize
02_no_pedantic_configure
09_bad_MANIFEST_omission

The language patches are obsolete due to string updates and countless translation updates:
13_base_strings
15_pt_BR_string_fix
17_de_string_fix
(If a fix here is needed it should be brought upstream. It looks like 13 does some changes with adding a "language" called base, but as I don't see translation packages for AbiWord or other external force which would require this change, I'm not sure what use it is, as we automatically do a fallback process to the most reasonable language given the user's regional settings. I removed it in favor of using what works upstream.)

Other removed patches:
03_workaround_for_ots - Obsoleted by upstream - pretty sure a similar patch was applied.
10_browser_handling - A better, simpler fix is upstream
11_history_fullpath - A better, simpler fix is upstream
18_new_poppler and poppler06-api - both obsoleted by upstream - I can't even see where they used to apply in those source files, which I think were re-written

I left the two Ubuntu patches that change behavior: 04_autosave_default and 14_comma_subscript. I also needed to add one patch to adjust the build system of the abiword-extras source directory, formerly known as abidistfiles. In addition, following the lead of my fellow AbiWord packagers in other distributions, I have added a patch to the upstream .desktop file adding in (most) of the mimetypes supported by the package. When possible and reasonable, I eliminated duplication in the packaging in favor of upstream code that does the same thing (for instance, the inclusion of a desktop file in the orig tarball) to reduce the future maintenance load and avoid code and effort duplication. (This explains the changes in the /debian/misc folder, too.)

Ryan Pavlik (abiryan) wrote :
Download full text (4.3 KiB)

Now replying to Daniel, who posted while I wrote this one:

AbiWord Common: This one is easy - in 2.6 we eliminated the difference between the gnome and gtk-only builds of AbiWord. The only difference is now a configure switch for gnomevfs, and given that I have used an AbiWord "non-gnomevfs" build on the GVFS FUSE fallback with much more success than over gnomevfs, I have disabled gnomevfs in all cases to provide the best user experience. As such, there was no longer a need for the abiword/abiword-gnome and abiword-common schism, and so the packaging has been simplified to only have the single AbiWord package, plus docs, plugins that bring in extra dependencies, and plugins that bring in GNOME dependencies.

AbiWord Plugins - yes, it lost a lot of content because I have moved most plugins (those that don't bring in large or unreasonable depenedencies) into the main AbiWord package. This includes ODT import/export, OOXML import, and more. The plugin/core distinction, in most cases, is development-only, and should not be construed to require separate packaging downstream. In this case, we were getting a _lot_ of bugs complaining about the lack of ODT support in Ubuntu's AbiWord while it was in fact just that the abiword-plugins package is not an obvious thing to install to get what is becoming essential file format support. This fixes a host of Launchpad bugs and dupes.

plugins-gnome - Hmm, it should have a goffice plugin in it now, but here's the deal there. Since AbiWord uses libgnomeprint since we don't have a Cairo backend yet, we need a 0.4 release of libgoffice. In ppa18 I fixed this so it should have built and picked this up. I see I somehow missed a change to the abiword-plugins-gnome.files list, and so ppa19 will have this plugin moved there. However, I anticipate this package going empty or perhaps becoming its own source package in Universe for 2.6, because at this time, the only gnome plugins are:
GDA - unmaintained, requires an ancient version of libgda, not recommended for use
gnomescan - requires libgnomescan which is in Universe, and furthermore my initial build tests with it were not successful.
goffice - requires an older version of goffice which is in Universe but does in fact work. To remove this plugin, just remove the libgoffice-0-dev build-dep and the plugin will disable automatically.
I did not want to remove it yet to avoid chaos in case we did get a GNOME plugin working and to minimize the number of "optional" changes.

Dev files: Yes, that's for the abiwidget embedding of AbiWord, used by Sugar's (OLPC/XO) Write application. After checking again with the maintainers upstream, we don't want a abiword-dev package for 2.6, though we will for 2.7/8. As I believe there is work to have a sugar emulator in Ubuntu, I did not remove these files in the packaging process.

RE: Debian - from what I saw earlier in this bug the Debian maintainer is MIA. However, I'd be more than happy to work with that individual to move this packaging work "upstream" so to speak to Debian. Most of the changes were in fact necessary, considering the improvements to the build system and the application in general that 2.6 brought. ...

Read more...

Ryan Pavlik (abiryan) wrote :

I just double-checked with Marc Maurer (abi dev) and I can in fact safely delete the dev files (headers, pc, and .la files for plugins). ppa20 will feature this change, and will be building soon. Apologies for the misunderstanding.

Btw. does the AbiWord version currently being integrated into Hary suffer from this bug (abiword waking up twice a sec when idle):
  https://bugzilla.redhat.com/show_bug.cgi?id=335551
?

Ryan Pavlik (abiryan) wrote :

I would imagine so, since both the incoming Ubuntu version and the Fedora version are fairly true to upstream, and that bug is confirmed in 2.6.2. The filer of that bug (or perhaps you) should take that upstream (if it's not there already, I think I remember filing that back when I learned strace).

At this time, since I don't want to distract from getting the time-critical work (aka, final fixes, sponsorship, and uploading) done, unless you think you've found a showstopper, please file a separate bug and subscribe me. Thanks!

Ryan Pavlik (abiryan) wrote :

Apologies for the "ping," but I am posting to let you know that the ppa20 builds that incorporate all actionable feedback I received are ready to go. At this point, I'd like to know if there are more material changes I should be making, or if we are waiting for the availability of a specific person, a specific non-public process to complete, or what the next step is, since at this time I feel that the packages are well-made, well-documented, and ready to go. (As an interesting note, they also backport nicely, removing the dependencies that don't exist to automatically disable those plugins, and they do upgrade the existing 2.4.x packages cleanly, as tested in Gutsy.)

I don't want Ubuntu users to miss out for the next three years because this got overlooked at the last minute, so please excuse my insistence: I do it in the best of interests :) If there is anything I can do to speed the process of review, sponsorship, and upload along, please don't hesitate to let me know. If I can correct the issue with a new package run, I do not hesitate to push new builds to the PPA (as suggested by the ~ppa20 in the version number of the latest release ;D )

Steve Langasek (vorlon) wrote :

Ryan,

Thanks for the explanations of why the patches were dropped, but I did mean that this should be documented in the changelog since that, rather than this bug report, is where developers will look to understand the package history later.

Can you please prepare a 2.6.2-0ubuntu1 package, including this one change to list the patches that were dropped and why?

At this point I'm ready to ack this for inclusion in hardy; setting to confirmed, now the package needs someone to sponsor the upload.

Changed in abiword:
status: New → Confirmed
Ryan Pavlik (abiryan) wrote :

Ah, great, thanks, didn't get that :) Should I leave in all my 0ubuntu0~ppaXX changelog entries? Also, what's the call on the goffice plugin? As long as I'm asking questions, should this final package go on my PPA or should I just post a debdiff against ~ppa20 here to avoid a non-PPA tagged build on my ppa?

Martin Pitt (pitti) wrote :

Ryan Pavlik [2008-04-16 20:00 -0000]:
> Ah, great, thanks, didn't get that :) Should I leave in all my
> 0ubuntu0~ppaXX changelog entries?

IMHO it is easier to read if all relevant changelog entries are
condensed into one version, since the PPA versions are not relevant
for the main Ubuntu archive. Also, you should drop changelog entries
which only described bug fixes between your PPA versions.

I. e. the purpose of the changelog is to be a conscise, but precise
explanation what happened since the previous Ubuntu version. It is
important to describe why a package or a patch was dropped, or why a
new patch was introduced, and it is *highly* important to state bug
numbers. With that in mind, common sense should tell you what belongs
in a changelog and what not. If in doubt, just check
/usr/share/doc/*/changelog.Debian.gz. :-)

Many thanks for your intense and great work on this!

Martin

Ryan Pavlik (abiryan) wrote :

OK - I have uploaded the 0ubuntu1 version to my PPA, with a rewritten summary changelog that goes in one step from the last ubuntu 2.4.6 (as in, the version in the archive now) right to the 2.6.2-0ubuntu1, combining all my PPA edits and the more formal discussion of patches above. I also have noted all the LP bugs it fixes in the changelog - they are all the ones "for sure" in the above list. When the package is uploaded to the archive and this bug is resolved, I will remove the package from my PPA if desired to avoid version chaos. (I will then make new backports available in my PPA for Gutsy and Dapper as I am working on right now. For users of those OS's, we'd like to at least have PPA repository information on the AbiWord web site.)

Martin Pitt (pitti) wrote :

Thanks, Ryan!

Some notes/questions/problems:

 - The two poppler patches don't apply any more -> that means that 2.6 now works correctly with poppler 0.6.4, or that the patches need to be updated?

 - "Changed libgoffice-0-6-dev to libgoffice-0-dev due to incompatibility with 0-6." -> sorry, that doesn't work. The old libgoffice 0.4 is in universe, and we do not want to support more than one major version (even less so an ancient one). How come that the old Abiword 2.4.6 works with the new libgoffice 0.6, but the new AbiWord 2.6 doesn't any more?

 - "Closes: LP#3197" is not understood by Launchpad, so you have to close bugs manually. You should use "LP: #3197" for bugs to be closed automatically.

 - Please append the bug references to the changelog line which describes the change to fix the respective bug, don't put them all at the end.

 - changelog lines are too long, but don't bother for now.

Åskar (olskar) wrote :

I am having troubles scrolling with my mouse in this version, it is sort of choppy..using abiword - 2.6.2-0ubuntu1

Ryan Pavlik (abiryan) wrote :

Scrolling bit has already been mentioned - it's something weird with Ubuntu only, will take a look later though I fear it's lower in the stack than Abi and so I have little experience debugging down there.

Fixed the bug issues in the changelog. (formatting and location) I tried to find the appropriate formatting before I made that, but google only found me contradicting examples, so I picked one that looked authoritative.

Ditched the libgoffice - see above discussion. The reason it "worked"with 2.4.6 is because the configure will just disable plugins whose deps aren't satisfied - there is no actual libgoffice plugin installed on 2.4.6-3ubuntu3 (I checked). There is no way it will work with 0.6 until we get a cairo backend and move to/add gtkprint instead of libgnomeprint.

Fixed line length - another example of following bad examples. All wrapped to 72 or less.

Poppler: We now look for pdftotext or pdftoabw (which come with poppler) at runtime, there is actually no build dep I found out. (The corresponding code was moved over to poppler.)

For the issues that are just changelog formatting, I re-formatted the changelog. For the actual changes, I added a new changelog entry, 0ubuntu2. Hopefully this was the right thing to do - asked in ubuntu-devel but it seems my time zones don't line up.

New package should be on my PPA. I have attached the debdiff from the 0ubuntu1 package reviewed.

Michael Chang (thenewme91) wrote :

I'm not a ubuntu dev; just a passer-by user, but since you check for pdftoabw at runtime, perhaps you want to have poppler-utils as a "suggests:" or "recommends:" now to match the dropped libpoppler dependency?

Ryan Pavlik (abiryan) wrote :

Good catch on poppler-utils, Michael, didn't realize that poppler was split. I have had to update the package some more since the previous package (2.4.6) left out some explicit dependencies to just be pulled in by other libs which we don't use anymore. I have corrected those errors - please review the latest package on my PPA. I have attached a debdiff from 2.6.2-0ubuntu1 to 0ubuntu2+ppa2

Michael Chang (thenewme91) wrote :

The tendency to split packages is a debian/ubuntu thing that sometimes catches users (and developers!) off guard if you're unaware of it -- the primary reason, IIRC, is to allow people to save space by removing parts of software they don't need. (For example, there are separate linux-image- (kernel image only), linux-headers- (kernel headers only), and linux-source- (kernel source only) packages in Ubuntu/Debian.) This is useful for e.g. embedded systems (Debian targets, I think, about 11 archs; some of which are for smaller form factors) and live CDs/DVDs and other places where space is tight.

http://packages.ubuntu.com/ provides an interface to allow searching for existing packages, as well as the contents of existing packages. (For Debian, http://packages.debian.org/ is similar -- AFAIK the two are based on the same codebase.)

I found poppler-utils by searching for packages which contained "pdftoabw" on that page.

Michael Chang (thenewme91) wrote :

Just curious, did 2.6 make it into hardy, or is this now something that must wait for hardy+1?

Ryan Pavlik (abiryan) wrote :

I have it on word from folks in irc on #ubuntu-devel that we're going to try to get it in 8.04.1 - the first hardy update in 3 months, when the cd's are re-spun. The current CD's include the old AbiWord.

And what about Internet updates? We don't need to wait for a new CD to get it! Anyway, great work - even if we only get it via a backport, it's easy to install.

I've found an issue (I don't know if this is really a bug) in 2.6 about the ordering of the fonts list not pushing at the end Arabic fonts anymore, but I don't know whether this is Ubuntu-related. Since I cannot report it in Ubuntu, I've put it here: http://bugzilla.abisource.com/show_bug.cgi?id=11570. Would you have a look?

Jani Monoses (jani) wrote :

Ryan,

does this package provide python-abiword too? I do not see that in the PPA. It is the component used by Sugar if available and it was buildable from the svn sources of Abiword as of november 2007.

Qichang Liang (kcleung-users) wrote :

I am glad to hear that. However are our package ready to be loaded on to
interpid?

Quoting Ryan Pavlik <email address hidden>:

> I have it on word from folks in irc on #ubuntu-devel that we're going
> to
> try to get it in 8.04.1 - the first hardy update in 3 months, when the
> cd's are re-spun. The current CD's include the old AbiWord.
>
> --
> Please update to version 2.6
> https://bugs.launchpad.net/bugs/202174
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ryan Pavlik (abiryan) wrote :

Yes, I have updated to the new upstream release (fixing security bugs - see http://abisource.com/release-notes/2.6.3.phtml ) and have packages uploaded to the "abiword-stable" team ppa, a better solution than using my own personal one. https://launchpad.net/~abiryan/+archive/ The version is 2.6.3-0ubuntu1+ppa1 - if it is reviewed and deemed to be "good" it can just be re-versioned to 0ubuntu2. (If you need me to do it to sign it, I can do that.) The only change between this version and the previous one is the new upstream micro release (and removal of the backported fixes patch) and a fix to the desktop file patch to apply correctly against the new source.

Ryan Pavlik (abiryan) wrote :

Oops, pasted the wrong URL. It's https://launchpad.net/~abiword-stable/+archive/

Daniel Holbach (dholbach) wrote :

Ryan Pavlik: can you answer Jani's question about python-abiword?

Martin Pitt: can you please see if this can get sponsored to intrepid and hardy-updates?

Martin Pitt (pitti) wrote :

Taking for sponsoring.

Changed in abiword:
assignee: nobody → pitti
status: Confirmed → In Progress
Mantas Kriaučiūnas (mantas) wrote :

I've noticed some bugs in latest abiword packages (2.6.3-0ubuntu1+ppa1) from https://launchpad.net/~abiword-stable/+archive/

1. abiword should register Mimetypes, provided in /usr/share/applications/abiword.desktop files in package postinst script - these lines should be in abiword postinst script:
if [ "$1" = "configure" ] && which update-desktop-database >/dev/null 2>&1 ; then
        update-desktop-database -q
This can be done automatically, adding "include /usr/share/cdbs/1/class/gnome.mk" (if you use cdbs) or "dh_desktop" (if you use only debhelper) to debian/rules, look for example at eog package's debian/rules

2. I don't understand why preinst script is needed for abiword - AFAIK current abiword uses fontconfig since 2.4, so, no need to call defoma-app purge in abiword 2.6.

3. For easy upgrading from abiword-gnome package abiword should have abiword-gnome (<< 2.6.0) in Conflicts section and, also, provide virtual abiword-gnome package (just add line "Provides: abiword-gnome" in debian/control file)

4. Why dictionary files, like /usr/share/abiword-2.6/dictionary/ca-ES-barbarism.xml are distributed in main abiword package ? AFAIK less than 2 percents of AbiWord users will need Catalonian barbarism :)

5. abiword package contains too many plugins, some plugins should be moved to abiword-plugins package, at least rarely used plugins, which depends on several external libraries, like aiksaurus (depends on libaiksaurus-1.2-0c2a and libaiksaurusgtk-1.2-0c2a). I would also move AbiCollab plugin from abiword to plugins package, it depends on additional libraries, like libloudmouth1-0.
abiword-plugins package is recommended by abiword package, so, it will be automatically installed for most people, who install abiword - see Debian packaging policy, http://debian.org/doc/debian-policy/ch-relationships.html#s-binarydeps :

"Recommends declares a *strong*, but not absolute, dependency.
The Recommends field should list packages that would be found together with this one in all but unusual installations."

6. Also I'm suggesting to move architecture-independent data (all files from /usr/share/abiword-2.6/ - strings, templates, glade, clipart, etc - about 7MB) from abiword package to abiword-data or abiword-common package, this will save disk space on Debian/Ubuntu mirrors, also will take other benefits, see http://debian.org/doc/developers-reference/ch-best-pkging-practices.en.html#s-bpp-archindepdata :
[..]if the size of the data is considerable, consider splitting it out into a separate, architecture-independent package ("_all.deb"). By doing this, you avoid needless duplication of the same data into eleven or more .debs, one per each architecture.[..]

Ryan Pavlik (abiryan) wrote :
Download full text (4.6 KiB)

Mantas Kriaučiūnas wrote:
> I've noticed some bugs in latest abiword packages (2.6.3-0ubuntu1+ppa1)
> from https://launchpad.net/~abiword-stable/+archive/
>
> 1. abiword should register Mimetypes, provided in /usr/share/applications/abiword.desktop files in package postinst script - these lines should be in abiword postinst script:
> if [ "$1" = "configure" ] && which update-desktop-database >/dev/null 2>&1 ; then
> update-desktop-database -q
> This can be done automatically, adding "include /usr/share/cdbs/1/class/gnome.mk" (if you use cdbs) or "dh_desktop" (if you use only debhelper) to debian/rules, look for example at eog package's debian/rules
>
Ah, I was not aware it wasn't registering mimetypes - I thought with the
sheer number of places I had to update the list of mimetypes we
supported in the package that I had gotten that taken care of.
> 2. I don't understand why preinst script is needed for abiword - AFAIK
> current abiword uses fontconfig since 2.4, so, no need to call defoma-
> app purge in abiword 2.6.
>
Can I just remove it then? (We've used fontconfig for longer than that,
I believe) My basic principle was "don't rock the boat too much" for
Hardy - for Intrepid I have a lot of changes to make.
> 3. For easy upgrading from abiword-gnome package abiword should have
> abiword-gnome (<< 2.6.0) in Conflicts section and, also, provide virtual
> abiword-gnome package (just add line "Provides: abiword-gnome" in
> debian/control file)
>
OK - upgrading is obviously important.
> 4. Why dictionary files, like /usr/share/abiword-2.6/dictionary/ca-ES-
> barbarism.xml are distributed in main abiword package ? AFAIK less than
> 2 percents of AbiWord users will need Catalonian barbarism :)
>
Those aren't dictionaries, but extra data needed by AbiWord. We use
Enchant for the actual dictionaries, and with the size and such of those
files in comparison with the headaches that would come out of splitting
them, I'll leave them in.
> 5. abiword package contains too many plugins, some plugins should be moved to abiword-plugins package, at least rarely used plugins, which depends on several external libraries, like aiksaurus (depends on libaiksaurus-1.2-0c2a and libaiksaurusgtk-1.2-0c2a). I would also move AbiCollab plugin from abiword to plugins package, it depends on additional libraries, like libloudmouth1-0.
> abiword-plugins package is recommended by abiword package, so, it will be automatically installed for most people, who install abiword - see Debian packaging policy, http://debian.org/doc/debian-policy/ch-relationships.html#s-binarydeps :
>
> "Recommends declares a *strong*, but not absolute, dependency.
> The Recommends field should list packages that would be found together with this one in all but unusual installations."
>
Plugins should not be thought about by the end user. They are plugins
(not in the core) sheerly for developer convenience, and except when
there is a compelling reason not to, should always be included with the
main package. As such, I am leaving all those plugins in there.
> 6. Also I'm suggesting to move architecture-independent data (all files from /usr/share/abiword-2.6/ - stri...

Read more...

antistress (antistress) wrote :

I've just tried Abiword 2.6 on hardy from that repository given above :
deb http://ppa.launchpad.net/abiword-stable/ubuntu hardy main

Please note that i'm french and default option in Abiword 2.6 was inche instead of centimeter
i don't know if that issue is related to the package or to Abiword itself so maybe it's or it's note the right place to report that issue

antistress (antistress) wrote :

also, when right-clicking on a .odt file within nautilus, selecting anther program than OOo to open it with Abiword, then Abiword is not listed

Andrew Conkling (andrewski) wrote :

Please open an upstream bug (see above comments) about this and your other
issue. This bug is *only* to discuss the inclusion of the 2.6 software in
Ubuntu.

On Sun, May 18, 2008 at 10:24 AM, antistress <email address hidden>
wrote:

> also, when right-clicking on a .odt file within nautilus, selecting
> anther program than OOo to open it with Abiword, then Abiword is not
> listed

This looks like a packaging bug, so the place to discuss it is here, isn't it?

Michael Chang (thenewme91) wrote :

No, that would go in a separate bug titled "2.6 does not integrate with Nautilus" or some such. Which this bug may or may not then block on.

Michael Chang (thenewme91) wrote :

On that note, is anybody else surprised at the large number of NMUs in the Abiword changelog?

antistress (antistress) wrote :

Bug #234755 Abiword 2.6 does not integrate with Nautilus

Bug #234756 2.6 & i18n : Abiword default UI should show centimeters or inches considering user nationality

Ryan Pavlik (abiryan) wrote :

OK, I have uploaded 2.6.3-0ubuntu1+ppa2 which addresses the mimetype issue (note 1 by Mantas, and also the comment by antistress), as well as updating the control file - note 3 by Mantas. I have not made the change to the post-inst script or any other changes to prevent unnecessary changes prior to the Hardy merge. I will consider these changes for an intrepid release. Please review and upload the current version - the two PPA changelogs can be merged by me and re-uploaded as 0ubuntu2 to the PPA on request.

Martin Pitt (pitti) wrote :

I promoted most of the build dependencies which are currently in universe to main, in particular the ones whose source is already in main.

The following have an approved MIR:

asio: libasio-dev
wv: libwv-1.2-3 libwv-dev

The following do not have an MIR:

loudmouth: libloudmouth1-dev libloudmouth1-0

Martin Pitt (pitti) wrote :

I created a MIR for loudmouth: bug 235997

Martin Pitt (pitti) wrote :

loudmouth approved and promoted.

Martin Pitt (pitti) wrote :

since -plugins-gnome is empty since feisty, I'll drop that binary package and add appropriate Conflicts/Replaces.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package abiword - 2.6.3-0ubuntu2

---------------
abiword (2.6.3-0ubuntu2) intrepid; urgency=low

  [ Ryan Pavlik ]
  * New upstream version and associated packaging changes.
    (LP: #202174) (LP: #36807) (LP: #56694) (LP: #3197)
  * Updated build dependencies.
  * Move all plugins without unreasonable dependencies into main
    abiword package (LP: #24195)
  * Merge abiword[-gtk], abiword-gnome, abiword-common (LP: #58662)
  * Use upstream build system to handle installation during package
    creation.
  * Eliminated duplicated "desktop" file and icon in debian/misc in
    favor of upstream.
  * Copied manpage into debian/misc due to elimination from upstream
    source.
  * Ubuntu changes dropped:
    - debian/patches/01_aaa_fix_plugins_m4.dpatch: not actually
      applied in previous package, obsoleted by upstream build system.
    - debian/patches/01_relibtoolize.dpatch: change obsoleted by
      improvements to upstream build system.
    - debian/patches/02_no_pedantic_configure.dpatch: change obsoleted
      by improvements to upstream build system.
    - debian/patches/09_bad_MANIFEST_omission.dpatch: change obsoleted
      by improvements to upstream build system.
    - debian/patches/13_base_strings.dpatch: upstream build system
      handles strings properly.
    - debian/patches/15_pt_BR_string_fix.dpatch: obsoleted by upstream
      string updates.
    - debian/patches/17_de_string_fix.dpatch: obsoleted by upstream
      string updates.
    - debian/patches/03_workaround_for_ots.dpatch: obsoleted by
      upstream.
    - debian/patches/10_browser_handling.dpatch: a better, simpler fix
      is upstream.
    - debian/patches/11_history_fullpath.dpatch: better, simpler fix
      is upstream.
    - debian/patches/18_new_poppler.dpatch: patch no longer applies -
      plugin rewritten to use poppler binaries at runtime.
    - debian/patches/poppler06-api.dpatch: patch no longer applies -
      plugin rewritten to use poppler binaries at runtime.
  * Added patches:
    - debian/patches02_add_mimetypes_to_desktop.dpatch: account for
       import/export support included in the main package now.
    - debian/patches/03_modify_extras_pkgconfig.dpatch: fix configure
      of abiword-extras source sub-package against a non-installed
      AbiWord
  * Add dh_desktop to register MIME types.

  [ Martin Pitt ]
  * Minor adjustments for intrepid upload, merged changelogs from all PPA
    uploads.
  * Dropped abiword-plugins-gnome package, since it is empty since edgy. Add
    appropriate transitional dependencies.
  * Skip -0ubuntu1 version number, since PPA has a higher version already.

 -- Ryan Pavlik <email address hidden> Fri, 30 May 2008 09:34:12 +0000

Changed in abiword:
status: In Progress → Fix Released
Steve Langasek (vorlon) on 2008-05-30
Changed in abiword:
importance: Undecided → Medium
milestone: none → ubuntu-8.04.1
status: New → In Progress
Shirish Agarwal (shirishag75) wrote :

Has anybody been able to get the same on Intrepid. I'm on Intrepid and haven't been able to see this package till now :(

Martin Pitt (pitti) wrote :

Ah, it's dep-waiting on libasio-dev, which did not get promoted because the latest version failed to build in intrepid. I promoted the older asio binaries now, so that abiword should build now. Howver, the asio problem needs to be fixed.

Shirish Agarwal (shirishag75) wrote :

Hi all,
  Martin thank you for keeping an eye on the same. This is disturbing. There is a huge change in the libasio-dev version from hardy to Intrepid but the changelog is very brief :-

Version history
1.0.0-1
Published in intrepid-release on 2008-05-30
Superseded in intrepid-release on 2008-05-26

asio (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #461920)

 -- Ubuntu Archive Auto-Sync < <email address hidden>> Mon, 26 May 2008 12:51:47 +0100

0.3.8~rc3-2
Superseded in intrepid-release on 2008-04-28
Published in hardy-release on 2007-10-28

asio (0.3.8~rc3-2) unstable; urgency=low

  * Add missing build dependencies, thanks Matt Kraai for noticing
    (Closes: #441149)

When such a big change occurs (atleast from the version numbering perspective) shouldn't it say something more about what changes are in the new upstream release?

Michael Chang (thenewme91) wrote :

That is because the upstream Debian version changed -- the 1.0.0-1 version was pulled in by the auto-sync bot.

See:
http://packages.debian.org/sid/libasio-dev
http://packages.debian.org/changelogs/pool/main/a/asio/asio_1.0.0-1/changelog
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=461920

Martin Pitt (pitti) wrote :

Hi,
Michael Chang [2008-06-02 13:57 -0000]:
> That is because the upstream Debian version changed -- the 1.0.0-1
> version was pulled in by the auto-sync bot.

It's because that very version does not actually build.

Anyway, it's built now, and available. I moved the abiword package to
main, and removed the obsolete ones (-gnome, etc.).

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Vincent (vinnl) wrote :

So will 2.6 still arrive for 8.04? (In time for 8.04.1?)

Steve Langasek (vorlon) wrote :

I'm sorry to say that the conclusion of this saga is that abiword 2.6 will not be included in Ubuntu 8.04.1. There are simply too many changes that have to be made to the rest of the archive to accomodate it, given that this is a package in main, and that would be too disruptive for a stable release update, above and beyond the rule-bending we would be doing to accomodate a major new upstream version.

I would encourage the interested parties to request a backport of abiword to 8.04 by filing a bug against the hardy-backports project.

Changed in abiword:
milestone: ubuntu-8.04.1 → none
status: In Progress → Won't Fix
Vincent (vinnl) wrote :
Jani Monoses (jani) on 2011-02-04
Changed in abiword (Baltix):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.